Bug 10938 - item columns in different order
Summary: item columns in different order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 14:43 UTC by Nicole C. Engard
Modified: 2016-12-05 21:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
image 1 (63.42 KB, image/png)
2013-09-24 14:43 UTC, Nicole C. Engard
Details
image 2 (73.12 KB, image/png)
2013-09-24 14:43 UTC, Nicole C. Engard
Details
Bug 10938: Item columns displayed in random order (5.62 KB, patch)
2015-04-21 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10938: Item columns displayed in random order - OPAC (6.09 KB, patch)
2015-04-21 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10938: Item columns displayed in random order (5.72 KB, patch)
2015-05-17 13:02 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10938: Item columns displayed in random order - OPAC (6.19 KB, patch)
2015-05-17 13:03 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10938: Item columns displayed in random order - OPAC (6.24 KB, patch)
2015-05-31 19:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10938: Item columns displayed in random order (5.78 KB, patch)
2015-05-31 19:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10938: Item columns displayed in random order - OPAC (6.24 KB, patch)
2015-05-31 19:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-09-24 14:43:37 UTC
Created attachment 21417 [details]
image 1

See the attached images. Both of these are viewed from /cgi-bin/koha/catalogue/MARCdetail.pl?biblionumber=###

The columns at the top are in different order even though they're both the same framework.  I think the column headings should be in the same order everywhere.

Nicole
Comment 1 Nicole C. Engard 2013-09-24 14:43:52 UTC
Created attachment 21418 [details]
image 2
Comment 2 Jonathan Druart 2015-04-21 14:25:44 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-21 14:25:49 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2015-05-17 13:02:36 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2015-05-17 13:03:31 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-05-31 19:41:26 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-05-31 19:42:12 UTC
Created attachment 39714 [details] [review]
[PASSED QA] Bug 10938: Item columns displayed in random order

On the MARC detail page, the columns are displayed in a random order.
This means that you can open 2 different records and see the columns
displayed in a different order.

Test plan:
Go on different MARC detail view and confirm that 1/ all fields are
present and 2/ they always are displayed in the same order

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
1/ & 2/ correct
No errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2015-05-31 19:42:23 UTC
Created attachment 39715 [details] [review]
[PASSED QA] Bug 10938: Item columns displayed in random order - OPAC

Same as before for the OPAC.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Good result, no errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Tomás Cohen Arazi 2015-06-05 19:13:25 UTC
Patches pushed to master.

Thanks Jonathan!